[package]
name = "plasmavmc-api"
version.workspace = true
edition.workspace = true
license.workspace = true
rust-version.workspace = true
description = "gRPC API service implementations for PlasmaVMC"

[dependencies]
plasmavmc-types = { workspace = true }
plasmavmc-hypervisor = { workspace = true }
tonic = { workspace = true }
tonic-health = { workspace = true }
prost = { workspace = true }
tokio = { workspace = true }
async-trait = { workspace = true }
tracing = { workspace = true }
thiserror = { workspace = true }

[build-dependencies]
tonic-build = { workspace = true }
protoc-bin-vendored = "3.2"

[lints]
workspace = true
